/**
 * Copyright 2025, Optimizely
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { UserAttributes } from "../../../shared_types";
import { RequestHandler } from "../../../utils/http_request_handler/http";
import { BackoffController } from "../../../utils/repeater/repeater";
import { Producer } from "../../../utils/type";
export interface CmabClient {
    fetchDecision(ruleId: string, userId: string, attributes: UserAttributes, cmabUuid: string): Promise<string>;
}
export type RetryConfig = {
    maxRetries: number;
    backoffProvider?: Producer<BackoffController>;
};
export type CmabClientConfig = {
    requestHandler: RequestHandler;
    retryConfig?: RetryConfig;
};
export declare class DefaultCmabClient implements CmabClient {
    private requestHandler;
    private retryConfig?;
    constructor(config: CmabClientConfig);
    fetchDecision(ruleId: string, userId: string, attributes: UserAttributes, cmabUuid: string): Promise<string>;
    private doFetch;
    private validateResponse;
}
