/**
 * Copyright 2024-2025, Optimizely
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { EventDispatcher } from './event_dispatcher/event_dispatcher';
import { BatchEventProcessorOptions, OpaqueEventProcessor } from './event_processor_factory';
export declare const DEFAULT_EVENT_BATCH_SIZE = 10;
export declare const DEFAULT_EVENT_FLUSH_INTERVAL = 30000;
export declare const createForwardingEventProcessor: (eventDispatcher?: EventDispatcher) => OpaqueEventProcessor;
export declare const createBatchEventProcessor: (options?: BatchEventProcessorOptions) => OpaqueEventProcessor;
