/**
 * Copyright 2021-2025, Optimizely
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { LogEvent } from './event_dispatcher/event_dispatcher';
import { EventProcessor, ProcessableEvent } from './event_processor';
import { EventDispatcher } from '../shared_types';
import { BaseService } from '../service';
import { Consumer, Fn } from '../utils/type';
export declare class ForwardingEventProcessor extends BaseService implements EventProcessor {
    private dispatcher;
    private eventEmitter;
    constructor(dispatcher: EventDispatcher);
    process(event: ProcessableEvent): Promise<unknown>;
    start(): void;
    stop(): void;
    onDispatch(handler: Consumer<LogEvent>): Fn;
}
