import { Client, Config } from './shared_types';
import { EventDispatcher } from './event_processor/event_dispatcher/event_dispatcher';
/**
 * Creates an instance of the Optimizely class
 * @param  {Config} config
 * @return {Client|null} the Optimizely client object
 *                           null on error
 */
export declare const createInstance: (config: Config) => Client;
export declare const getSendBeaconEventDispatcher: () => EventDispatcher | undefined;
export { default as eventDispatcher } from './event_processor/event_dispatcher/default_dispatcher.node';
export { createPollingProjectConfigManager } from './project_config/config_manager_factory.node';
export { createForwardingEventProcessor, createBatchEventProcessor } from './event_processor/event_processor_factory.node';
export { createOdpManager } from './odp/odp_manager_factory.node';
export { createVuidManager } from './vuid/vuid_manager_factory.node';
export * from './common_exports';
export * from './export_types';
export declare const clientEngine: string;
