/**
 * Copyright 2024, Optimizely
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { Fn } from "../type";
type Consumer<T> = (arg: T) => void;
export declare class EventEmitter<T> {
    private id;
    private listeners;
    on<E extends keyof T>(eventName: E, listener: Consumer<T[E]>): Fn;
    emit<E extends keyof T>(eventName: E, data: T[E]): void;
    removeListeners<E extends keyof T>(eventName: E): void;
    removeAllListeners(): void;
}
export {};
