import { LoggerFacade } from '../../logging/logger';
import { EventTags } from '../../shared_types';
/**
 * Grab the revenue value from the event tags. "revenue" is a reserved keyword.
 * @param {EventTags} eventTags
 * @param {LoggerFacade} logger
 * @return {number|null}
 */
export declare function getRevenueValue(eventTags: EventTags, logger?: LoggerFacade): number | null;
/**
 * Grab the event value from the event tags. "value" is a reserved keyword.
 * @param {EventTags} eventTags
 * @param {LoggerFacade} logger
 * @return {number|null}
 */
export declare function getEventValue(eventTags: EventTags, logger?: LoggerFacade): number | null;
